Bug 510334 - 'yum repolist -v' errors out with new yum repo generation
'yum repolist -v' errors out with new yum repo generation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Jeff Ortel
:
Depends On:
Blocks: 485807 510340
  Show dependency treegraph
 
Reported: 2009-07-08 14:06 EDT by Justin Sherrill
Modified: 2009-09-10 14:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 510340 (view as bug list)
Environment:
Last Closed: 2009-09-10 14:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-07-08 14:06:18 EDT
A customer has reported this issue against hosted and i checked to see if it is an issue with satellite and it was.

From a 32bit box, update yum and run:


[root@dhcp231-92 ~]# yum repolist -v
Loading "rhnplugin" plugin
Loaded plugins: rhnplugin
Config time: 0.049
Running "init" handler for "rhnplugin" plugin
Looking for repo options for [rhel-i386-server-5]
Looking for repo options for [redhat-rhn-proxy-5.3-server-i386-5]
Looking for repo options for [rhn-tools-rhel-i386-server-5]
Yum Version: 3.2.19
COMMAND: yum repolist -v 
Installroot: /
Repo-id     : redhat-rhn-proxy-5.3-server-i386-5
Repo-name   : Red Hat Network Proxy (v5.3 for Server v5 x86)
Repo-status : enabled
Repo-updated: Thu Jun 11 13:35:36 2009
Repo-pkgs   : 0
Repo-size   : 0
Repo-baseurl: http://columbia.devel.redhat.com/XMLRPC/GET-REQ/redhat-rhn-proxy-5.3-server-i386-5

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 229, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 104, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 343, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 759, in doCommand
    time.ctime(repo.repoXML.timestamp)),
ValueError: timestamp out of range for platform time_t



On a 64bit box, the command doesn't error out but shows a time of 
Wed, 09 Aug 39076 20:06:40 GMT

which is wayyyy of. 


I looked at the repo files and the timestmap within the repomd.xml is 1170971410000 which is the time above.
Comment 2 Jeff Ortel 2009-07-14 11:04:34 EDT
Verified:
Ran "yum repolist -v" from a 32bit box with expected result.
Comment 3 Michael Mráka 2009-08-10 09:52:21 EDT
Verified in stage -> RELEASE_PENDING.

* i386 system:
#  yum repolist -v
Loading "rhnplugin" plugin
Loading "security" plugin
Config time: 0.040
Looking for repo options for [rhel-i386-server-5]
Repo 'rhel-i386-server-5' setting option 'enabled' = '1'
Looking for repo options for [rhn-tools-rhel-i386-server-5]
Yum Version: 3.2.22
Repo-id     : rhel-i386-server-5
Repo-name   : Red Hat Enterprise Linux (v. 5 for 32-bit x86)
Repo-status : enabled:
Repo-updated: Thu Aug  6 01:51:11 2009
Repo-pkgs   : 5,867
Repo-size   : 9.9 G
Repo-baseurl: http://dell-pem905-01.rhts.bos.redhat.com/XMLRPC/GET-REQ/rhel-i386-server-5

Repo-id     : rhn-tools-rhel-i386-server-5
Repo-name   : Red Hat Network Tools for RHEL Server (v.5 32-bit x86)
Repo-status : enabled:
Repo-updated: Fri Aug  7 13:01:24 2009
Repo-pkgs   : 396
Repo-size   : 1.8 G
Repo-baseurl: http://dell-pem905-01.rhts.bos.redhat.com/XMLRPC/GET-REQ/rhn-tools-rhel-i386-server-5

repolist: 6,263


* x86_64 system:
# yum repolist -v
Loading "security" plugin
Loading "rhnplugin" plugin
Loaded plugins: rhnplugin, security
Running "config" handler for "security" plugin
Config time: 0.039
Running "init" handler for "rhnplugin" plugin
Looking for repo options for [rhel-x86_64-server-5]
Looking for repo options for [rhn-tools-rhel-x86_64-server-5]
Yum Version: 3.2.19
COMMAND: yum repolist -v 
Installroot: /
Repo-id     : rhel-x86_64-server-5
Repo-name   : Red Hat Enterprise Linux (v. 5 for 64-bit x86_64)
Repo-status : enabled
Repo-updated: Mon Aug 10 06:02:12 2009
Repo-pkgs   : 7,758
Repo-size   : 12 G
Repo-baseurl: http://test1182.test.redhat.com/XMLRPC/GET-REQ/rhel-x86_64-server-5

Repo-id     : rhn-tools-rhel-x86_64-server-5
Repo-name   : Red Hat Network Tools for RHEL Server (v.5 64-bit x86_64)
Repo-status : enabled
Repo-updated: Thu Aug  6 08:50:45 2009
Repo-pkgs   : 417
Repo-size   : 1.8 G
Repo-baseurl: http://test1182.test.redhat.com/XMLRPC/GET-REQ/rhn-tools-
            : rhel-x86_64-server-5

repolist: 8,175
Comment 4 Brandon Perkins 2009-09-10 14:41:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.